Consultar resultados de uma Transação

Este método é utilizado para buscar informações de uma transação e suas respectivas análises na API da Plataforma Data Trust.

A consulta de resultados (all) só retorna os resultados de todos os componentes consultados na transação.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Modelo de Chamada

Request:

GET https://datatrustapi.clearsale.com.br/v1/transaction/{id}/all HTTP/1.1
Authorization: Bearer {Token}
GET https://datatrustapihml.clearsale.com.br/v1/transaction/{id}/all HTTP/1.1
Authorization: Bearer {Token}

Response:

Requisição realizada com sucesso

HTTP/1.1 200 Ok  
Content-Type: application/json; charset=utf-8 
{
    "transaction": {
        "id": "string", 
        "createdAt": "2025-02-03T12:42:23.405Z",
        "documentType": "CPF",
        "document": "12345678912",
        "name": "João Santos Silva",
        "birthdate": "1998-12-30",
        "mothersName": "Maria Eduarda",
        "email": "[email protected]",
        "verifiedEmail": false,
        "sessionId": "SessionID123",
        "identifierId": "123abc",
        "channelId": null,
        "address": {
            "zipCode": "00000000",
            "street": "Rua teste",
            "number": "12355",
            "complement": "Esquina 3",
            "district": "B13",
            "city": "São Paulo",
            "state": "SP",
            "country": "Brasil"
        },
        "phone": {
            "countryCode": 55,
            "areaCode": 11,
            "number": 985985875,
            "verified": false
        },
       "referenceDate": "2025-02-03T12:42:23.405Z",
       "identifierDate": "2025-01-01T01:01:01.000Z",
       "type": 1,
       "complements": [],
       "criterion": 1,
        "card": {
            "bin": "123456",
            "last4": "1234",
            "ownerName": "João Santos Silva",
            "ownerDocument": "12345678912"
        },
      	"Vehicle" : {
            "ProposedDate": "2000-03-21T17:28:26.910Z",
            "VehicleLicensePlate": "AAA1a11",
            "StoreState": "sp", 
            "LicensePlateState": "sp", 
            "VehicleRegistrationState": "SP", 
            "FinancingAmount" : 100000.50,
            "MarketValue" : 10500.94,
            "VehicleManufacturingYear" : 2025
        },
        "secondaryDocumentType": "CNPJ",
        "secondaryDocument": "12345678901234"   
        },
        "scores": [
            {
                "value": 53.13,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:43:37.96Z"
            },
            {
                "value": 73.71,
                "reason": "PhoneChecked",
                "createdAt": "2025-02-03T12:45:20.919Z"
            }
        ],
        "ratings": [
            {
                "value": 3,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:45:34.795152Z",
                "relatedTo": [
                    "Document",
                    "ZipCode"
                ]
            },
            {
                "value": 3,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:45:34.7951562Z",
                "relatedTo": [
                    "Email",
                    "ZipCode"
                ]
            },
            {
                "value": 3,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:45:34.795157Z",
                "relatedTo": [
                    "Document",
                    "Phone"
                ]
            },
            {
                "value": 3,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:45:34.7951579Z",
                "relatedTo": [
                    "Phone",
                    "Email"
                ]
            },
            {
                "value": 3,
                "reason": "Initial",
                "createdAt": "2025-02-03T12:45:34.7951585Z",
                "relatedTo": [
                    "Document",
                    "Email"
                ]
            }
        ],
        "insights": [
            {
                "code": "GER2151",
                "description": "CPF com incidência de transações positivas",
                "type": "CPF",
                "category": "Característica CPF",
                "relevance": "Positivo",
                "relatedTo": [
                    "Document"
                ]
            },
            {
                "code": "EML0001",
                "description": "O E-mail informado é um Hot-Email da pessoa",
                "type": "CPF Email",
                "category": "Vínculo Email",
                "relevance": "Positivo",
                "relatedTo": [
                    "Document",
                    "Email"
                ]
            }
        ],
        "smsToken": {
            "status": "Valid",
            "createdAt": "2025-02-03T12:44:22.257Z",
            "repliedAt": "2025-02-03T12:45:20.599Z",
            "type": "Sms"
        },
        "biometrics": {
            "transactionID": "string",
            "status": "Waiting",
            "createdAt": "2025-02-03T12:44:59.408Z",
            "identifierDate": "2025-01-01T01:01:01.000Z"
        }
}
Path Params
string
required

Id da transação

Responses

401

Unauthorized

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json